Retrieve Conversation
curl --request GET \
--url https://api.bey.dev/v1/conversations/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bey.dev/v1/conversations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bey.dev/v1/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "01234567-89ab-cdef-0123-456789abcdef",
"agent_id": "<string>",
"status": {
"type": "to_start"
},
"user_name": "<string>",
"user_email": "<string>",
"tags": {}
}Agent Conversations
Retrieve Conversation
Retrieve a single conversation by ID, including its status and participants.
GET
/
v1
/
conversations
/
{id}
Retrieve Conversation
curl --request GET \
--url https://api.bey.dev/v1/conversations/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bey.dev/v1/conversations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bey.dev/v1/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "01234567-89ab-cdef-0123-456789abcdef",
"agent_id": "<string>",
"status": {
"type": "to_start"
},
"user_name": "<string>",
"user_email": "<string>",
"tags": {}
}Authorizations
Your Beyond Presence API Key.
Path Parameters
Conversation ID.
Response
Requested Conversation
Response model for a conversation.
Unique identifier of the object in the database.
Example:
"01234567-89ab-cdef-0123-456789abcdef"
ID of agent managing the conversation.
Status for conversation that has not yet started.
- ToStartConversationStatus
- OngoingConversationStatus
- CompletedConversationStatus
Show child attributes
Show child attributes
Name of the user.
Email of the user.
Tags for the conversation.
Show child attributes
Show child attributes
Was this page helpful?